com.taosdata.jdbc.utils

## Class TaosInfo

- java.lang.Object
- - com.taosdata.jdbc.utils.TaosInfo

All Implemented Interfaces:
  TaosInfoMBean

    public class TaosInfo
    extends Object
    implements TaosInfoMBean

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `connectCloseIncrement()`
`void` `connOpenIncrement()`
`long` `getConnect_active()`
`long` `getConnectClose()`
`long` `getConnectOpen()`
`static TaosInfo` `getInstance()`
`long` `getStatementCount()`
`void` `stmtCountIncrement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnectOpen

    public long getConnectOpen()

Specified by:
  `getConnectOpen` in interface `TaosInfoMBean`

#### getConnectClose

    public long getConnectClose()

Specified by:
  `getConnectClose` in interface `TaosInfoMBean`

#### getConnect_active

    public long getConnect_active()

Specified by:
  `getConnect_active` in interface `TaosInfoMBean`

#### getStatementCount

    public long getStatementCount()

Specified by:
  `getStatementCount` in interface `TaosInfoMBean`

#### connOpenIncrement

    public void connOpenIncrement()

#### connectCloseIncrement

    public void connectCloseIncrement()

#### stmtCountIncrement

    public void stmtCountIncrement()

#### getInstance

    public static TaosInfo getInstance()